<!doctype html>
<html class="no-js" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Midi Horrors</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="/apple-touch-icon.png">
    <!-- Place favicon.ico in the root directory -->

</head>

<body>
    <main>
        <small><a href="https://ip-over-avian-carrier.net">&lt;- Back Home</a></small>
        <h1>Midi Horrors</h1>

        <p>
            You got here from Eggs video? My condolences.
            <br />
            If you are (for some reason) interested in this tool, you can download it <a
                href="./package/midi-horrors.exe">here</a>. For its source code look <a
                href="https://gitlab.com/ip-over-avian-carrier/keysight/midi-horrors">here</a> (please be aware that
            this is a shitpost, so little to no thought has been given to quality, fault tolerance or anything similar).
        </p>

        <hr />

        <h2>Instructions</h2>

        How to Use:

        <ol>
            <li>Create an image exactly 52 pixels wide, and as tall as you want. Additionally make sure the image format
                is RGB (<b>not!</b> RGBA, ARGB, etc...)</li>
            <li>Then just paint whatever you want to appear on the white keys on there, each pixel is 1 white key.</li>
            <li>The color of each pixel controls behavior:
                <ul>
                    <li>The red channel determines the velocity of the note (0-126, or 0x0-0x7F)</li>
                    <li>The green channel has multiple use. Set the top bit (0x80) to force a note break. Set the bottom
                        4 bits to
                        choose the channel (0x0F)</li>
                    <li>Currently the blue channel is ignored.</li>
                </ul>
            </li>
        </ol>
    </main>
</body>

</html>
